aboutsummaryrefslogtreecommitdiff
path: root/thermal/dump/dump_thermal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'thermal/dump/dump_thermal.sh')
-rw-r--r--thermal/dump/dump_thermal.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/thermal/dump/dump_thermal.sh b/thermal/dump/dump_thermal.sh
new file mode 100644
index 0000000..288d34d
--- /dev/null
+++ b/thermal/dump/dump_thermal.sh
@@ -0,0 +1,46 @@
+#!/vendor/bin/sh
+
+echo 'Temperatures'
+for f in /sys/class/thermal/thermal* ; do
+ echo `cat $f/type`: `cat $f/temp`
+done
+
+echo 'Cooling Device Current State'
+for f in /sys/class/thermal/cooling* ; do
+ echo `cat $f/type`: `cat $f/cur_state`
+done
+
+echo 'Cooling Device User Vote State'
+for f in /sys/class/thermal/cooling* ; do
+ if ! [ -r $f/user_vote ]; then continue; fi;
+ echo `cat $f/type`: `cat $f/user_vote`
+done
+
+echo 'Cooling Device Time in State'
+for f in /sys/class/thermal/cooling* ; do
+ echo `cat $f/type`: `cat $f/stats/time_in_state_ms`
+done
+
+echo 'Cooling Device Trans Table'
+for f in /sys/class/thermal/cooling* ; do
+ echo `cat $f/type`: `cat $f/stats/trans_table`
+done
+
+echo 'Cooling Device State2Power Table'
+for f in /sys/class/thermal/cooling* ; do
+ if ! [ -r $f/state2power_table ]; then continue; fi;
+ echo `cat $f/type`: `cat $f/state2power_table`
+done
+
+echo 'TMU state:'
+cat /sys/module/gs_thermal/parameters/tmu_reg_dump_state
+echo 'TMU current temperature:'
+cat /sys/module/gs_thermal/parameters/tmu_reg_dump_current_temp
+echo 'TMU_TOP rise thresholds:'
+cat /sys/module/gs_thermal/parameters/tmu_top_reg_dump_rise_thres
+echo 'TMU_TOP fall thresholds:'
+cat /sys/module/gs_thermal/parameters/tmu_top_reg_dump_fall_thres
+echo 'TMU_SUB rise thresholds:'
+cat /sys/module/gs_thermal/parameters/tmu_sub_reg_dump_rise_thres
+echo 'TMU_SUB fall thresholds:'
+cat /sys/module/gs_thermal/parameters/tmu_sub_reg_dump_fall_thres